/services/analytics/v1/project/unique-visitors
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
start_date |
string (date-time) | Yes | ||
end_date |
string (date-time) | Yes | ||
filters |
object | Yes | ||
sortKey |
string
id, browser, device, device_type, platform_os, country, country_iso_code, time_spend, created_at, page_visits_count, click_count, events_count, conversion_count |
Yes | ||
sortOrder |
string
asc, desc |
Yes | ||
read_status |
string|null
read, unread, |
No |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
object | |
data.current_page |
integer | |
data.data |
object[] | |
data.first_page_url |
string|null | |
data.from |
integer|null | |
data.last_page |
integer | |
data.last_page_url |
string|null | |
data.links |
object[] | |
data.next_page_url |
string|null | |
data.path |
string | |
data.per_page |
integer | |
data.prev_page_url |
string|null | |
data.to |
integer|null | |
data.total |
integer |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/analytics/v1/project/unique-visitors" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"start_date": "string",
"end_date": "string",
"filters": "string",
"sortKey": "string",
"sortOrder": "string",
"read_status": "string"
}'
fetch('https://api.wemasy.nl/api/services/analytics/v1/project/unique-visitors', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"start_date": "string",
"end_date": "string",
"filters": "string",
"sortKey": "string",
"sortOrder": "string",
"read_status": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/analytics/v1/project/unique-visitors', {
"start_date": "string",
"end_date": "string",
"filters": "string",
"sortKey": "string",
"sortOrder": "string",
"read_status": "string"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"start_date": "string",
"end_date": "string",
"filters": "string",
"sortKey": "string",
"sortOrder": "string",
"read_status": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/analytics/v1/project/unique-visitors", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "Sessions fetched successfully",
"data": {
"current_page": 1,
"data": [
{
"id": 1,
"browser": "Chrome",
"device": "Macintosh",
"device_type": "Desktop",
"platform_os": "Mac OS X",
"country": "Netherlands",
"time_spend": 120,
"created_at": "2026-01-15 10:00:00 AM",
"updated_at": "2026-01-15 10:02:00",
"click_count": 4,
"events_count": 12,
"page_visits_count": 3,
"conversion_count": 1,
"referrer": "https://google.com",
"first_visit": "/pricing",
"is_read": false,
"login_users": [
{
"email": "user@example.com",
"name": "Jane",
"external_id": "42"
}
]
}
],
"first_page_url": "https://api.example.com/sessions?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.example.com/sessions?page=1",
"links": [],
"next_page_url": null,
"path": "https://api.example.com/sessions",
"per_page": 10,
"prev_page_url": null,
"to": 1,
"total": 1
}
}